%define target msp430
%define full_version 2.21.1a
%define version_dname 2.21.1

Name:		%{target}-binutils
Version:	%{full_version}
Release:	9%{?dist}
Summary:	Cross Compiling GNU binutils targeted at %{target}
Group:		Development/Tools
License:	GPLv2+
URL:		http://www.gnu.org/software/binutils/
Source0:	http://ftp.gnu.org/gnu/binutils/binutils-%{full_version}.tar.bz2

# Patch from mspgcc project to add support for latest msp430s
Patch0:		msp430-binutils-2.21.1a-20120406.patch

# Fixes for building docs with texinfo 5
# These changes are all upstream in later versions.
# Holding on shipping later version at the moment, as the last
# mspgcc LTS release was against binutils 2.21.1a.
Patch1:		texinfo-5-fixes.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	texinfo
Provides: 	bundled(libiberty)

%description
This is a Cross Compiling version of GNU binutils, which can be used to
assemble and link binaries for the %{target} platform, instead of for the
native %{_arch} platform.

%prep
%setup -q -c -n msp430-binutils
pushd binutils-%{version_dname}
%patch0 -p1
%patch1 -p1
# fix FTBFS on aarch64, ppc64le
cp -f /usr/lib/rpm/redhat/config.{guess,sub} .
popd

%build
mkdir -p build
cd build
CFLAGS="$RPM_OPT_FLAGS" ../binutils-%{version_dname}/configure --prefix=%{_prefix} \
	--libdir=%{_libdir} --mandir=%{_mandir} --infodir=%{_infodir} \
	--target=%{target} --disable-werror --disable-nls

make %{?_smp_mflags}

%install
cd build
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# these are for win targets only
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/%{target}-{dlltool,nlmconv,windres,windmc}.1
# we don't want these as this is a cross-compiler
rm -rf $RPM_BUILD_ROOT%{_infodir}
rm -f $RPM_BUILD_ROOT%{_libdir}/libiberty.a

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_prefix}/%{target}

%{_bindir}/%{target}-*
%{_mandir}/man1/%{target}-*.1.gz

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.21.1a-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.21.1a-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jun 26 2014 Yaakov Selkowitz <yselkowi@redhat.com> - 2.21.1a-7
- Fix FTBFS on aarch64, ppc64le (#926176)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.21.1a-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Dec 22 2013 Rob Spanton <rspanton@zepler.net> - 2.21.1a-5
 - Fix build of docs with texinfo 5

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.21.1a-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.21.1a-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Oct 15 2012 Jon Ciesla <limburgher@gmailc.com> - 2.21.1a-2
- Provides: bundled(libiberty)

* Wed Aug 15 2012 Rob Spanton <rspanton@zepler.net> - 2.21.1a-1
- Upgrade to 2.21.1a

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.19.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.19.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.19.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.19.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jun 12 2009 Rob Spanton rspanton@zepler.net 2.19.1-1
- Bump up to binutils 2.19.1 

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.19-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 15 2009 Rob Spanton rspanton@zepler.net 2.19-2
- Add comment about getting patch upstream.

* Tue Jan 13 2009 Rob Spanton rspanton@zepler.net 2.19-1
- Bump up to binutils 2.19.
- Use the bundled 2.19 patch from mspgcc packaging.
- Don't install man pages about windows utilities.
- Reduce a number of lines from the files section to just one line.
- Don't delete the debug information.

* Tue Aug 28 2007 Rob Spanton rspanton@zepler.net 2.18-1
- Initial release
